// GENERATED BY THE COMMAND ABOVE; DO NOT EDIT
// This file was generated by swaggo/swag

package docs

import (
	"bytes"
	"encoding/json"
	"strings"

	"github.com/alecthomas/template"
	"github.com/swaggo/swag"
)

var doc = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{.Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
		"/base/getContentList": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Base"
                ],
                "summary": "获取类容列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "每页大小",
                        "name": "pageSize",
                        "in": "query"
                    },
					{
						"type": "string",
                        "description": "类型(norm 评测标准   banner 轮播  bulletin 公告)",
                        "name": "type",
                        "in": "query"
					}
                ],
                "responses": {
                    "200": {
                        "description": "{\"success\":true,\"data\":{},\"msg\":\"获取成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/base/loginwx": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Base"
                ],
                "summary": "用户登录",
                "parameters": [
                    {
                        "description": "code",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/request.LoginWx"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"success\":true,\"data\":{},\"msg\":\"登陆成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
		"/base/register": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Base"
                ],
                "summary": "用户申请登陆",
                "parameters": [
                    {
                        "description": "用户名, 昵称,手机号,openid ",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/request.Register"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"success\":true,\"data\":{},\"msg\":\"登陆成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
		"/place/createPlace": {
            "post": {
				"security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Place"
                ],
                "summary": "站点添加",
                "parameters": [
                    {
                        "description": "站点名称, 站点定位,站点类型,站点区域 ",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/request.Place"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"success\":true,\"data\":{},\"msg\":\"创建成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
		"/sysDictionary/findSysDictionary": {
            "get": {
				"security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Dict"
                ],
                "summary": "获取字典",
                "parameters": [
                    {
                        "type": "string",
                        "description": "字典类型(部门列表 department  站点类型 site_type  问题列表  site_1  1为站点类型的值)",
                        "name": "type",
                        "in": "query"
                    },
                ],
                "responses": {
                    "200": {
                        "description": "{\"success\":true,\"data\":{},\"msg\":\"获取成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
		"/sysDictionary/findSysDictionaryName": {
            "get": {
				"security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Dict"
                ],
                "summary": "获取字典",
                "parameters": [
                    {
                        "type": "string",
                        "description": "字典名称(城市类型)",
                        "name": "name",
                        "in": "query"
                    },
                ],
                "responses": {
                    "200": {
                        "description": "{\"success\":true,\"data\":{},\"msg\":\"获取成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
		"/place/deletePlace": {
            "delete": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Place"
                ],
                "summary": "根据id删除站点",
                "parameters": [
                    {
                        "description": "根据id删除站点",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/request.findByID"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"success\":true,\"data\":{},\"msg\":\"删除成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
		"/place/findPlace": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Place"
                ],
                "summary": "用id查询站点详情",
                "parameters": [
                    {
						"type": "integer",
                        "description": "id",
                        "name": "ID",
                        "in": "query"
					}

                ],
                "responses": {
                    "200": {
                        "description": "{\"success\":true,\"data\":{},\"msg\":\"查询成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
		"/place/updatePlace": {
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Place"
                ],
                "summary": "更新站点信息",
                "parameters": [
                    {
                        "description": "更新站点信息",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/request.PlaceUpdate"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"success\":true,\"data\":{},\"msg\":\"更新成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
		"/place/getPlaceList": {
            "get": {
				"security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Place"
                ],
                "summary": "获取站点列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "每页大小",
                        "name": "pageSize",
                        "in": "query"
                    },
					{
						"type": "string",
                        "description": "城市名称模糊查询",
                        "name": "name",
                        "in": "query"
					}
                ],
                "responses": {
                    "200": {
                        "description": "{\"success\":true,\"data\":{},\"msg\":\"获取成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
		"/problemInfo/updateProblemInfo": {
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "ProblemInfo"
                ],
                "summary": "处理问题",
                "parameters": [
                    {
                        "description": "处理问题",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/request.ProblemInfoC"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"success\":true,\"data\":{},\"msg\":\"更新成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
		"/problemInfo/createProblemInfo": {
            "post": {
				"security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "ProblemInfo"
                ],
                "summary": "发布问题",
                "parameters": [
                    {
                        "description": "发布问题",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/request.ProblemInfo"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"success\":true,\"data\":{},\"msg\":\"发布问题成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
		"/problemInfo/findProblemInfo": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "ProblemInfo"
                ],
                "summary": "用id查询问题详情",
                "parameters": [
                    {
						"type": "integer",
                        "description": "id",
                        "name": "ID",
                        "in": "query"
					}
                ],
                "responses": {
                    "200": {
                        "description": "{\"success\":true,\"data\":{},\"msg\":\"查询成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
		"/problemInfo/getProblemInfoList": {
            "get": {
				"security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "ProblemInfo"
                ],
                "summary": "获取问题列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "每页大小",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "状态(Untreated 未处理  Processed 已处理)",
                        "name": "status",
                        "in": "query"
                    },
					{
                        "type": "integer",
                        "description": "发布人",
                        "name": "oper",
                        "in": "query"
                    },
					{
                        "type": "string",
                        "description": "站点类型",
                        "name": "siteType",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"success\":true,\"data\":{},\"msg\":\"获取成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },

		
		"/content/createContent": {
            "post": {
				"security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Content"
                ],
                "summary": "发布内容",
                "parameters": [
                    {
                        "description": "发布内容",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/request.Content"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"success\":true,\"data\":{},\"msg\":\"发布问题成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
		"/content/findContent": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Content"
                ],
                "summary": "获取内容详情",
                "parameters": [
					{
						"type": "integer",
                        "description": "id",
                        "name": "ID",
                        "in": "query"
					}
                ],
                "responses": {
                    "200": {
                        "description": "{\"success\":true,\"data\":{},\"msg\":\"查询成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
		"/content/getContentList": {
            "get": {
				"security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Content"
                ],
                "summary": "获取类容列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "每页大小",
                        "name": "pageSize",
                        "in": "query"
                    },
					{
						"type": "string",
                        "description": "类型(norm 评测标准   banner 轮播  bulletin 公告)",
                        "name": "type",
                        "in": "query"
					}
                ],
                "responses": {
                    "200": {
                        "description": "{\"success\":true,\"data\":{},\"msg\":\"获取成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
		"/fileUploadAndDownload/upload": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "consumes": [
                    "multipart/form-data"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "ExaFileUploadAndDownload"
                ],
                "summary": "上传文件示例",
                "parameters": [
                    {
                        "type": "file",
                        "description": "上传文件示例",
                        "name": "file",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"success\":true,\"data\":{},\"msg\":\"上传成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/user/getUserInfo": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "SysUser"
                ],
                "summary": "获取用户信息",
                "responses": {
                    "200": {
                        "description": "{\"success\":true,\"data\":{},\"msg\":\"获取成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
		"/user/setUserName": {
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "SysUser"
                ],
                "summary": "设置用户信息",
                "parameters": [
                    {
                        "description": "只用提交 ID, userName 就可以",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/system.SysUser"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"success\":true,\"data\":{},\"msg\":\"设置成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
		"request.findByID": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "request.LoginWx": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "登陆微信响应code",
                    "type": "string"
                }
            }
        },
		"request.Place": {
            "type": "object",
            "properties": {
                "name": {
                    "description": "站点名称",
                    "type": "string"
                },
				"position": {
                    "description": "站点定位",
                    "type": "string"
                },
				"type": {
                    "description": "站点类型",
                    "type": "string"
                },
				"region": {
                    "description": "站点区域",
                    "type": "string"
                }
            }
        },
		"request.PlaceUpdate": {
            "type": "object",
            "properties": {
                "id": {
                    "description": "主键ID",
                    "type": "integer"
                },
                "name": {
                    "description": "站点名称",
                    "type": "string"
                },
				"position": {
                    "description": "站点定位",
                    "type": "string"
                },
				"type": {
                    "description": "站点类型",
                    "type": "string"
                },
				"region": {
                    "description": "站点区域",
                    "type": "string"
                }
            }
        },
		"request.ProblemInfo": {
			"type": "object",
			"properties": {
				"imgs": {
					"description": "问题图片(多图用|分割)",
					"type": "string"
				},
				"remark": {
					"description": "问题备注",
					"type": "string"
				},
				"video": {
					"description": "问题视频",
					"type": "string"
				},
				"siteId": {
					"description": "站点id",
					"type": "string"
				},
				"matter": {
					"description": "问题ids(用|分割)",
					"type": "string"
				},
				"department": {
					"description": "责任部门",
					"type": "string"
				}
			}
		},
		"request.ProblemInfoC": {
			"type": "object",
			"properties": {
				"ID": {
					"description": "问题ID",
					"type": "string"
				},
				"handler": {
					"description": "当前登陆人ID",
					"type": "string"
				},
				"status": {
					"description": "处理状态改为(Processed)",
					"type": "string"
				},
				"handText": {
					"description": "处理内容",
					"type": "string"
				},
				"handImgs": {
					"description": "处理图片(多图用|隔开)",
					"type": "string"
				},
				"imgs": {
					"description": "问题图片(多图用|分割)",
					"type": "string"
				},
				"video": {
					"description": "问题视频",
					"type": "string"
				},
				"siteId": {
					"description": "站点id",
					"type": "string"
				},
				"matter": {
					"description": "问题ids(用|分割)",
					"type": "string"
				},
				"department": {
					"description": "责任部门",
					"type": "string"
				}
			}
		},
		"request.Content": {
            "type": "object",
            "properties": {
                "oper": {
                    "description": "发布人",
                    "type": "string"
                },
				"title": {
                    "description": "标题",
                    "type": "string"
                },
				"subtitle": {
                    "description": "副标题(仅公告可用)",
                    "type": "string"
                },
				"text": {
                    "description": "内容",
                    "type": "string"
                },
				"imgs": {
                    "description": "图片(多图用|分割)",
                    "type": "string"
                },
				"type": {
                    "description": "类型(bulletin 公告|norm 评测标准|banner  首页轮播)",
                    "type": "string"
                }
            }
        },
		"request.Register": {
			"type": "object",
            "properties": {
				"nickName": {
                    "description": "微信昵称",
                    "type": "string"
                },
				"openId": {
                    "description": "openId",
                    "type": "string"
                },
				"headerImg": {
                    "description": "微信头像",
                    "type": "string"
                },
				"username": {
                    "description": "手机号",
                    "type": "string"
                }
            }
		},
		"system.SysUser": {
            "type": "object",
            "properties": {
                "activeColor": {
                    "description": "活跃颜色",
                    "type": "string"
                },
                "authorityId": {
                    "description": "用户角色ID",
                    "type": "string"
                },
                "baseColor": {
                    "description": "基础颜色",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "headerImg": {
                    "description": "用户头像",
                    "type": "string"
                },
                "ID": {
                    "description": "主键ID",
                    "type": "integer"
                },
                "nickName": {
                    "description": "用户昵称",
                    "type": "string"
                },
                "sideMode": {
                    "description": "用户侧边主题",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "userName": {
                    "description": "用户名",
                    "type": "string"
                },
                "uuid": {
                    "description": "用户UUID",
                    "type": "string"
                }
            }
        },
    },
    "securityDefinitions": {
        "ApiKeyAuth": {
            "type": "apiKey",
            "name": "x-token",
            "in": "header"
        }
    }
}`

type swaggerInfo struct {
	Version     string
	Host        string
	BasePath    string
	Schemes     []string
	Title       string
	Description string
}

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = swaggerInfo{
	Version:     "0.0.1.txt",
	Host:        "",
	BasePath:    "/api/",
	Schemes:     []string{},
	Title:       "Swagger Example API",
	Description: "请求响应code 成功是0 未注册1 审核中2 错误是7",
}

type s struct{}

func (s *s) ReadDoc() string {
	sInfo := SwaggerInfo
	sInfo.Description = strings.Replace(sInfo.Description, "\n", "\\n", -1)

	t, err := template.New("swagger_info").Funcs(template.FuncMap{
		"marshal": func(v interface{}) string {
			a, _ := json.Marshal(v)
			return string(a)
		},
	}).Parse(doc)
	if err != nil {
		return doc
	}

	var tpl bytes.Buffer
	if err := t.Execute(&tpl, sInfo); err != nil {
		return doc
	}

	return tpl.String()
}

func init() {
	swag.Register(swag.Name, &s{})
}
