import service from '@/utils/request'

// @Tags PlacePro
// @Summary 创建PlacePro
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body model.PlacePro true "创建PlacePro"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"获取成功"}"
// @Router /placePro/createPlacePro [post]
export const createPlacePro = (data) => {
  return service({
    url: '/placePro/createPlacePro',
    method: 'post',
    data
  })
}

// @Tags PlacePro
// @Summary 删除PlacePro
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body model.PlacePro true "删除PlacePro"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"删除成功"}"
// @Router /placePro/deletePlacePro [delete]
export const deletePlacePro = (data) => {
  return service({
    url: '/placePro/deletePlacePro',
    method: 'delete',
    data
  })
}

// @Tags PlacePro
// @Summary 删除PlacePro
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body request.IdsReq true "批量删除PlacePro"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"删除成功"}"
// @Router /placePro/deletePlacePro [delete]
export const deletePlaceProByIds = (data) => {
  return service({
    url: '/placePro/deletePlaceProByIds',
    method: 'delete',
    data
  })
}

// @Tags PlacePro
// @Summary 更新PlacePro
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body model.PlacePro true "更新PlacePro"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"更新成功"}"
// @Router /placePro/updatePlacePro [put]
export const updatePlacePro = (data) => {
  return service({
    url: '/placePro/updatePlacePro',
    method: 'put',
    data
  })
}

// @Tags PlacePro
// @Summary 用id查询PlacePro
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data query model.PlacePro true "用id查询PlacePro"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"查询成功"}"
// @Router /placePro/findPlacePro [get]
export const findPlacePro = (params) => {
  return service({
    url: '/placePro/findPlacePro',
    method: 'get',
    params
  })
}

// @Tags PlacePro
// @Summary 分页获取PlacePro列表
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data query request.PageInfo true "分页获取PlacePro列表"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"获取成功"}"
// @Router /placePro/getPlaceProList [get]
export const getPlaceProList = (params) => {
  return service({
    url: '/placePro/getPlaceProList',
    method: 'get',
    params
  })
}
