import service from '@/utils/request'

// @Tags ProblemReply
// @Summary 创建ProblemReply
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body model.ProblemReply true "创建ProblemReply"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"获取成功"}"
// @Router /problemReply/createProblemReply [post]
export const createProblemReply = (data) => {
  return service({
    url: '/problemReply/createProblemReply',
    method: 'post',
    data
  })
}

// @Tags ProblemReply
// @Summary 删除ProblemReply
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body model.ProblemReply true "删除ProblemReply"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"删除成功"}"
// @Router /problemReply/deleteProblemReply [delete]
export const deleteProblemReply = (data) => {
  return service({
    url: '/problemReply/deleteProblemReply',
    method: 'delete',
    data
  })
}

// @Tags ProblemReply
// @Summary 删除ProblemReply
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body request.IdsReq true "批量删除ProblemReply"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"删除成功"}"
// @Router /problemReply/deleteProblemReply [delete]
export const deleteProblemReplyByIds = (data) => {
  return service({
    url: '/problemReply/deleteProblemReplyByIds',
    method: 'delete',
    data
  })
}

// @Tags ProblemReply
// @Summary 更新ProblemReply
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body model.ProblemReply true "更新ProblemReply"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"更新成功"}"
// @Router /problemReply/updateProblemReply [put]
export const updateProblemReply = (data) => {
  return service({
    url: '/problemReply/updateProblemReply',
    method: 'put',
    data
  })
}

// @Tags ProblemReply
// @Summary 用id查询ProblemReply
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data query model.ProblemReply true "用id查询ProblemReply"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"查询成功"}"
// @Router /problemReply/findProblemReply [get]
export const findProblemReply = (params) => {
  return service({
    url: '/problemReply/findProblemReply',
    method: 'get',
    params
  })
}

// @Tags ProblemReply
// @Summary 分页获取ProblemReply列表
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data query request.PageInfo true "分页获取ProblemReply列表"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"获取成功"}"
// @Router /problemReply/getProblemReplyList [get]
export const getProblemReplyList = (params) => {
  return service({
    url: '/problemReply/getProblemReplyList',
    method: 'get',
    params
  })
}
